Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(13)

Issue 2888773002: Switch BrowserAccessibilityStateImpl to the TaskScheduler API. (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
5 months, 1 week ago by Sébastien Marchand
Modified:
5 months, 1 week ago
Reviewers:
fdoray, dmazzoni, aboxhall
CC:
chromium-reviews, aboxhall+watch_chromium.org, nektar+watch_chromium.org, jam, yuzo+watch_chromium.org, dougt+watch_chromium.org, darin-cc_chromium.org, dmazzoni+watch_chromium.org, dtseng+watch_chromium.org, je_julie, telemetry-reviews_chromium.org
Target Ref:
refs/heads/master
Project:
chromium
Visibility:
Public.

Description

Switch BrowserAccessibilityStateImpl to the TaskScheduler API. It doesn't look like the #if defined(OS_WIN) block is necessary here, everything could be handled by the task scheduler directly. BUG=689520 Review-Url: https://codereview.chromium.org/2888773002 Cr-Commit-Position: refs/heads/master@{#473281} Committed: https://chromium.googlesource.com/chromium/src/+/1e0346d1ef0851ad07bf00fafefdd747bf30baed

Patch Set 1 #

Patch Set 2 : Rebase #

Patch Set 3 : Add comment #

Unified diffs Side-by-side diffs Delta from patch set Stats (+6 lines, -12 lines) Patch
M content/browser/accessibility/browser_accessibility_state_impl.cc View 1 2 2 chunks +6 lines, -12 lines 0 comments Download
Trybot results:  win_chromium_rel_ng   chromium_presubmit   win_chromium_rel_ng   linux_android_rel_ng   win_chromium_rel_ng   linux_chromium_chromeos_rel_ng   linux_chromium_chromeos_ozone_rel_ng   win_clang   win_chromium_compile_dbg_ng   mac_chromium_rel_ng   ios-simulator-xcode-clang   ios-simulator   ios-device-xcode-clang   mac_chromium_compile_dbg_ng   ios-device   linux_chromium_rel_ng   linux_chromium_tsan_rel_ng   linux_chromium_asan_rel_ng   linux_chromium_compile_dbg_ng   linux_chromium_chromeos_rel_ng   chromeos_daisy_chromium_compile_only_ng   chromeos_amd64-generic_chromium_compile_only_ng   android_n5x_swarming_rel   cast_shell_linux   cast_shell_android   android_cronet   android_clang_dbg_recipe   android_compile_dbg   android_arm64_dbg_recipe   win_chromium_rel_ng   chromium_presubmit   win_chromium_rel_ng   win_chromium_x64_rel_ng   win_chromium_rel_ng   win_chromium_x64_rel_ng   chromium_presubmit   linux_android_rel_ng   linux_chromium_chromeos_ozone_rel_ng   win_chromium_x64_rel_ng   win_clang   win_chromium_rel_ng   win_chromium_compile_dbg_ng   mac_chromium_rel_ng   mac_chromium_compile_dbg_ng   ios-simulator-xcode-clang   ios-simulator   ios-device-xcode-clang   ios-device   linux_chromium_rel_ng   linux_chromium_tsan_rel_ng   linux_chromium_compile_dbg_ng   linux_chromium_chromeos_rel_ng   linux_chromium_chromeos_ozone_rel_ng   chromium_presubmit   linux_chromium_asan_rel_ng   chromeos_daisy_chromium_compile_only_ng   chromeos_amd64-generic_chromium_compile_only_ng   cast_shell_linux   android_n5x_swarming_rel   cast_shell_android   linux_android_rel_ng   android_compile_dbg   android_cronet   android_clang_dbg_recipe   android_arm64_dbg_recipe 
Commit queue not available (can’t edit this change).

Messages

Total messages: 38 (23 generated)
Sébastien Marchand
PTAL.
5 months, 1 week ago (2017-05-17 18:28:54 UTC) #11
Sébastien Marchand
+fdoray@ FYI
5 months, 1 week ago (2017-05-18 13:26:33 UTC) #13
fdoray
lgtm
5 months, 1 week ago (2017-05-18 13:42:35 UTC) #14
Sébastien Marchand
+aboxhall@ for owner approval.
5 months, 1 week ago (2017-05-18 13:44:26 UTC) #16
dmazzoni
lgtm the delay is not just to avoid slowing startup, but also because assistive technology ...
5 months, 1 week ago (2017-05-18 15:29:39 UTC) #17
Sébastien Marchand
Ha ok, I can add a comment about this delay while I'm here if you ...
5 months, 1 week ago (2017-05-18 15:33:01 UTC) #18
commit-bot: I haz the power
CQ is trying da patch. Follow status at: https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2888773002/40001
5 months, 1 week ago (2017-05-18 16:03:40 UTC) #22
commit-bot: I haz the power
Try jobs failed on following builders: win_chromium_x64_rel_ng on master.tryserver.chromium.win (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.win/builders/win_chromium_x64_rel_ng/builds/430659)
5 months, 1 week ago (2017-05-18 17:50:16 UTC) #24
commit-bot: I haz the power
CQ is trying da patch. Follow status at: https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2888773002/40001
5 months, 1 week ago (2017-05-18 18:08:10 UTC) #26
commit-bot: I haz the power
Try jobs failed on following builders: win_chromium_rel_ng on master.tryserver.chromium.win (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.win/builders/win_chromium_rel_ng/builds/448825)
5 months, 1 week ago (2017-05-19 00:08:27 UTC) #28
commit-bot: I haz the power
CQ is trying da patch. Follow status at: https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2888773002/40001
5 months, 1 week ago (2017-05-19 15:44:42 UTC) #30
commit-bot: I haz the power
Try jobs failed on following builders: win_chromium_rel_ng on master.tryserver.chromium.win (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.win/builders/win_chromium_rel_ng/builds/449933)
5 months, 1 week ago (2017-05-19 17:21:51 UTC) #32
commit-bot: I haz the power
CQ is trying da patch. Follow status at: https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2888773002/40001
5 months, 1 week ago (2017-05-19 17:54:34 UTC) #34
commit-bot: I haz the power
Committed patchset #3 (id:40001) as https://chromium.googlesource.com/chromium/src/+/1e0346d1ef0851ad07bf00fafefdd747bf30baed
5 months, 1 week ago (2017-05-19 19:38:43 UTC) #37
Sébastien Marchand
5 months ago (2017-05-23 00:41:53 UTC) #38
Message was sent while issue was closed.
A revert of this CL (patchset #3 id:40001) has been created in
https://codereview.chromium.org/2899623003/ by sebmarchand@chromium.org.

The reason for reverting is: This is causing some issues on ChromeOS.

See crbug.com/725247.
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld 81bcdb8aa